#include <bindings.cmacros.h>
#include <apr_dbm.h>

apr_status_t inline_apr_dbm_fetch(apr_dbm_t* dbm, apr_datum_t* key, apr_datum_t* pvalue) {
    return apr_dbm_fetch(dbm, *key, pvalue);
}

apr_status_t inline_apr_dbm_store(apr_dbm_t* dbm, apr_datum_t* key, apr_datum_t* value) {
    return apr_dbm_store(dbm, *key, *value);
}

apr_status_t inline_apr_dbm_delete(apr_dbm_t* dbm, apr_datum_t* key) {
    return apr_dbm_delete(dbm, *key);
}

int inline_apr_dbm_exists(apr_dbm_t* dbm, apr_datum_t* key) {
    return apr_dbm_exists(dbm, *key);
}

void inline_apr_dbm_freedatum(apr_dbm_t* dbm, apr_datum_t* data) {
    apr_dbm_freedatum(dbm, *data);
}
