#include <bindings.dsl.h>
#include <apr_ldap.h>
#include <apr_ldap_rebind.h>

module Bindings.APR.LDAP.Rebind where
#strict_import
import Bindings.APR.ErrNo
import Bindings.APR.LDAP
import Bindings.APR.Pools

#if APR_HAS_LDAP

#  ccall apr_ldap_rebind_add   , Ptr <apr_pool_t> -> Ptr <LDAP> -> Ptr CChar -> Ptr CChar -> IO <apr_status_t>
#  ccall apr_ldap_rebind_remove, Ptr <LDAP> -> IO <apr_status_t>

#endif
