#include <bindings.dsl.h>
#include <apu_version.h>

module Bindings.APU.Version where
#strict_import
import Bindings.APR.Version

#num APU_MAJOR_VERSION
#num APU_MINOR_VERSION
#num APU_PATCH_VERSION

#globalarray APU_VERSION_STRING, CChar

#ifndef APU_VERSION_ONLY
#  ccall apu_version       , Ptr <apr_version_t> -> IO ()
#  ccall apu_version_string, IO (Ptr CChar)
#endif
